<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
<h:head>
    <title>Home</title>
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" integrity="sha384-gfdkjb5BdAXd+lj+gudLWI+BXq4IuLW5IT+brZEZsLFm++aCMlF1V92rMkPaX4PP" crossorigin="anonymous" />
    <h:outputStylesheet name="/bootstrap/3.3.7/css/bootstrap.min.css" library="webjars"/>
    <h:outputStylesheet name="style.css" library="css"/>

</h:head>
<h:body>
    <h2>Bienvenue sur supHouseHold</h2>
    <h3>Vos pièces détachées à portée de clic !</h3>
    <br></br>
    <div class="row">
        <nav class="navbar col-lg-offset-1 col-lg-10">
            <div class="container-fluid">
                <div class="navbar-header">
                    <a class="navbar-brand" href="home.xhtml"><b>Home</b></a>
                </div>
                <ul class="nav navbar-nav underline">
                    <li class="active"><a href="productPrivate.xhtml">Shop</a></li>
                </ul>
                <ul class="nav navbar-nav underline">
                    <li class="active"><a href="">Cart</a></li>
                </ul>
                <ul class="nav navbar-nav underline">
                    <li class="active"><a href="profil.xhtml">Profil</a></li>
                </ul>
            </div>
        </nav>
    </div>

    <div class="col-lg-offset-2 col-lg-8">
        <h:form>
            <h:dataTable value="#{productBean.listProduct}" var="emp">
                <f:facet name="header">
                    <h:outputText value="Products"/>
                </f:facet>

                <h:column>
                    <f:facet name="header">
                        <h:outputText value="Name"/>
                    </f:facet>
                    <h:outputText value="#{emp.productName}" />
                </h:column>
                <h:column>
                    <f:facet name="header">
                        <h:outputText value="Detail"/>
                    </f:facet>
                    <h:outputText value="#{emp.price}" />
                </h:column>
                <h:column>
                    <h:commandButton value="Show details" action="#{productBean.findProduct(emp.id)}" />
                </h:column>
            </h:dataTable>
        </h:form>
    </div>
</h:body>
</html>
